/**
  ******************************************************************************
  * @file    usbd_core.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   Header file for usbd_core.c
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USBD_CORE_H
#define __USBD_CORE_H

/* Includes ------------------------------------------------------------------*/
#include "usb_dcd.h"
#include "usb_dcd_int.h"

/* Exported defines ----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
typedef enum {
  USBD_OK   = 0,
  USBD_BUSY,
  USBD_FAIL,
}USBD_Status;
/* Exported macros -----------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void USBD_Init(USB_CORE_HANDLE *pdev,
	       USBD_DEVICE *pDevice,
	       USBD_Class_cb_TypeDef *class_cb,
	       USBD_Usr_cb_TypeDef *usr_cb);

USBD_Status USBD_DeInit(USB_CORE_HANDLE *pdev);

USBD_Status USBD_ClrCfg(USB_CORE_HANDLE	 *pdev, uint8_t cfgidx);

USBD_Status USBD_SetCfg(USB_CORE_HANDLE	 *pdev, uint8_t cfgidx);

#endif /* __USBD_CORE_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
