/**
  ******************************************************************************
  * @file    usbd_ioreq.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   header file for the usbd_ioreq.c file
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USBD_IOREQ_H_
#define __USBD_IOREQ_H_

/* Includes ------------------------------------------------------------------*/
#include  "usbd_def.h"
#include  "usbd_core.h"

/* Exported defines ----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
/* Exported macros -----------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

USBD_Status  USBD_CtlSendData (USB_CORE_HANDLE	*pdev,
			       uint8_t *buf,
			       uint16_t len);

USBD_Status  USBD_CtlContinueSendData (USB_CORE_HANDLE	*pdev,
			       uint8_t *pbuf,
			       uint16_t len);

USBD_Status USBD_CtlPrepareRx (USB_CORE_HANDLE	*pdev,
			       uint8_t *pbuf,
			       uint16_t len);

USBD_Status  USBD_CtlContinueRx (USB_CORE_HANDLE  *pdev,
			      uint8_t *pbuf,
			      uint16_t len);

USBD_Status  USBD_CtlSendStatus (USB_CORE_HANDLE  *pdev);

USBD_Status  USBD_CtlReceiveStatus (USB_CORE_HANDLE  *pdev);

uint16_t  USBD_GetRxCount (USB_CORE_HANDLE  *pdev ,
			   uint8_t epnum);


#endif /* __USBD_IOREQ_H_ */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
