/**
  ******************************************************************************
  * @file    usbd_pwr.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   Header file for usbd_pwr.c
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USBD_PWR_H__
#define __USBD_PWR_H__

/* Includes ------------------------------------------------------------------*/
#include "usbd_core.h"
#include "usb_bsp.h"

/* Exported defines ----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
typedef enum _RESUME_STATE
{
  RESUME_EXTERNAL,
  RESUME_INTERNAL,
  RESUME_LATER,
  RESUME_WAIT,
  RESUME_START,
  RESUME_ON,
  RESUME_OFF,
  RESUME_ESOF
} RESUME_STATE;

/* Exported macros -----------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
extern USB_CORE_HANDLE USB_Device_dev;

/* Exported functions ------------------------------------------------------- */
void Suspend(void);
void Resume_Init(void);
void Resume(RESUME_STATE eResumeSetVal);
void Leave_LowPowerMode(void);

#endif /*__USBD_PWR_H__*/

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
