/**
  ******************************************************************************
  * @file    tsl_time_stm32f0xx.c
  * @author  MCD Application Team
  * @version V1.4.3RC2
  * @date    09-December-2013
  * @brief   This file contains all functions to manage the timing with STM32F0xx products.
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "tsl_time_stm32f0xx.h"

/* Private typedefs ----------------------------------------------------------*/
/* Private defines -----------------------------------------------------------*/
/* Private macros ------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private functions prototype -----------------------------------------------*/

/**
  * @brief  Initialization of the timing module.
  * @param  None
  * @retval Status Return TSL_STATUS_ERROR if the Systick configuration has failed.
  */
TSL_Status_enum_T TSL_tim_Init(void)
{
  // Program one systick interrupt every (1 / TSLPRM_TICK_FREQ) ms
  if (SysTick_Config(SystemCoreClock / TSLPRM_TICK_FREQ))
  {
    return TSL_STATUS_ERROR;
  }
  else
  {
    return TSL_STATUS_OK;
  }
}

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
