/**
  ******************************************************************************
  * @file    Projects\Demonstration\main.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    17-January-2014
  * @brief   Header for main.c module
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "stm32f0xx.h"
#include "stm32f072b_discovery.h"
#include "stm32f072b_discovery_l3gd20.h"
#include "stm32f072b_discovery_i2c_ee.h"
#include "tsl_types.h"
#include "tsl_user.h"
#include "usbd_hid_core.h"
#include "usbd_usr.h"
#include "usbd_desc.h"


/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void TimingDelay_Decrement(void);
void Delay(__IO uint32_t nTime);
void MEMS_Test(void);
void MEMS_Demo(void);
void Demo_GyroConfig(void);
void Demo_GyroReadAngRate (float* pfData);
void USB_Test(void);
void USB_Demo(void);
void LTS_Test(void);
void ProcessSensors(void);
void Demo(void);
void LED_Test(void);

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
