/**
  ******************************************************************************
  * @file    usbd_conf.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    17-January-2014
  * @brief   USB Device configuration file
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USBD_CONF__H__
#define __USBD_CONF__H__

/* Includes ------------------------------------------------------------------*/
#include "usb_conf.h"

/** @defgroup USB_CONF_Exported_Defines
  * @{
  */


#define USBD_CFG_MAX_NUM	   1
#define USBD_ITF_MAX_NUM	   1
#define USB_MAX_STR_DESC_SIZ	   64
#define USBD_SELF_POWERED
#define USBD_DYNAMIC_DESCRIPTOR_CHANGE_ENABLED

#define CUSTOMHID_SIZ_REPORT_DESC		163
#define CUSTOMHID_SIZ_CONFIG_DESC		41

/** @defgroup USB_String_Descriptors
  * @{
  */


/** @defgroup USB_HID_Class_Layer_Parameter
  * @{
  */
#define HID_IN_EP		     0x81
#define HID_OUT_EP		     0x01

#define HID_IN_PACKET		     2
#define HID_OUT_PACKET		     2

/**
  * @}
  */
/** @defgroup USB_CONF_Exported_Types
  * @{
  */
/**
  * @}
  */


/** @defgroup USB_CONF_Exported_Macros
  * @{
  */
/**
  * @}
  */

/** @defgroup USB_CONF_Exported_Variables
  * @{
  */
/**
  * @}
  */

/** @defgroup USB_CONF_Exported_FunctionsPrototype
  * @{
  */
/**
  * @}
  */


#endif /* __USBD_CONF__H__ */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/


/**
* @}
*/

